All of lore.kernel.org
 help / color / mirror / Atom feed
* [yocto-kernel-tools][PATCH] merge_configs.sh: fail loudly if make also fails
@ 2016-08-29  9:19 ` Ioan-Adrian Ratiu
  0 siblings, 0 replies; 12+ messages in thread
From: Ioan-Adrian Ratiu @ 2016-08-29  9:19 UTC (permalink / raw)
  To: openembedded-core; +Cc: yocto

merge_configs.sh calls make on the generated kernel config from
the defconfig + fragments to fill in any missing symbols. make
can fail and this can lead to nasty errors further on in the
build like generating an unbootable kernel image.

Check the make return code and fail loudly if non-zero.

Signed-off-by: Ioan-Adrian Ratiu <adrian.ratiu@ni.com>
---
 tools/merge_config.sh | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/tools/merge_config.sh b/tools/merge_config.sh
index 67d1314..5212f37 100755
--- a/tools/merge_config.sh
+++ b/tools/merge_config.sh
@@ -152,7 +152,10 @@ fi
 # alldefconfig: Fills in any missing symbols with Kconfig default
 # allnoconfig: Fills in any missing symbols with # CONFIG_* is not set
 make KCONFIG_ALLCONFIG=$TMP_FILE $OUTPUT_ARG $ALLTARGET
-
+if [ "$?" -ne 0 ]; then
+    echo "Make failed to fill missing config symbols. Exit." >&2
+    exit 1
+fi
 
 # Check all specified config values took (might have missed-dependency issues)
 for CFG in $(sed -n "$SED_CONFIG_EXP" $TMP_FILE); do
-- 
2.9.3



^ permalink raw reply related	[flat|nested] 12+ messages in thread

end of thread, other threads:[~2016-08-29 13:27 UTC | newest]

Thread overview: 12+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2016-08-29  9:19 [yocto-kernel-tools][PATCH] merge_configs.sh: fail loudly if make also fails Ioan-Adrian Ratiu
2016-08-29  9:19 ` [OE-core][yocto-kernel-tools][PATCH] " Ioan-Adrian Ratiu
2016-08-29 12:07 ` [yocto-kernel-tools][PATCH] " Bruce Ashfield
2016-08-29 12:07   ` [OE-core][yocto-kernel-tools][PATCH] " Bruce Ashfield
2016-08-29 12:55   ` [yocto] [yocto-kernel-tools][PATCH] " Bruce Ashfield
2016-08-29 12:55     ` [OE-core][yocto-kernel-tools][PATCH] " Bruce Ashfield
2016-08-29 13:22     ` [yocto] [yocto-kernel-tools][PATCH] " Ioan-Adrian Ratiu
2016-08-29 13:22       ` [OE-core][yocto-kernel-tools][PATCH] " Ioan-Adrian Ratiu
2016-08-29 13:27       ` [yocto] [yocto-kernel-tools][PATCH] " Bruce Ashfield
2016-08-29 13:27         ` [OE-core][yocto-kernel-tools][PATCH] " Bruce Ashfield
2016-08-29 13:09   ` [yocto-kernel-tools][PATCH] " Ioan-Adrian Ratiu
2016-08-29 13:09     ` [OE-core][yocto-kernel-tools][PATCH] " Ioan-Adrian Ratiu

This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.